当前时区为 UTC + 8 小时



发表新帖 回复这个主题  [ 3 篇帖子 ] 
作者 内容
1 楼 
 文章标题 : [求助]不能安装和更新其他软件(开不了新立德)[已解决]
帖子发表于 : 2008-06-09 1:34 

注册: 2007-11-24 22:45
帖子: 44
地址: 广州
送出感谢: 0 次
接收感谢: 0 次
今天更新时,发现更新19的内核更新失败,出现了以下错误:
E: dpkg was interrupted, you must manually run 'dpkg --configure -a' to correct the problem.
E: _cache->open() failed, please report.
于是用终端登录了root,然后就按照它的指示
dpkg --configure -a
但是错无还不能解决,搞得我不能安装和更新其他软件(开不了新立德)
总之要安装和更新就会出现
dpkg was interrupted, you must manually run 'dpkg --configure -a' to correct the problem.
的错误
我换过源试过,但是又不行
于是我用17,16的内核,发现可以开新立德,但我一更新就出现跟上面说的情况一样的事
我好郁闷呀!~
有谁知道为什么吗?谢谢


最后由 chencanpig 编辑于 2008-06-09 3:46,总共编辑了 1 次

页首
 用户资料  
 
2 楼 
 文章标题 : 补充:
帖子发表于 : 2008-06-09 2:27 

注册: 2007-11-24 22:45
帖子: 44
地址: 广州
送出感谢: 0 次
接收感谢: 0 次
当我执行dpkg --configure -a出现:
正在设置 initramfs-tools (0.85eubuntu39.1) ...
update-initramfs: deferring update (trigger activated)

Processing triggers for initramfs-tools ...
update-initramfs: Generating /boot/initrd.img-2.6.24-18-generic

gzip: stdout: No space left on device
update-initramfs: failed for /boot/initrd.img-2.6.24-18-generic
dpkg: 子进程 post-installation script 返回了错误号 1


页首
 用户资料  
 
3 楼 
 文章标题 : 不好意思,乱来就搞掂了
帖子发表于 : 2008-06-09 3:49 

注册: 2007-11-24 22:45
帖子: 44
地址: 广州
送出感谢: 0 次
接收感谢: 0 次
我在KDE下删除了18的内核,同时也删除了没有安装完整的19,用dpkg --configure -a,再重新安装了19,就行了
终于可以睡觉了


页首
 用户资料  
 
显示帖子 :  排序  
发表新帖 回复这个主题  [ 3 篇帖子 ] 

当前时区为 UTC + 8 小时


在线用户

正在浏览此版面的用户:没有注册用户 和 3 位游客


不能 在这个版面发表主题
不能 在这个版面回复主题
不能 在这个版面编辑帖子
不能 在这个版面删除帖子
不能 在这个版面提交附件

前往 :  
本站点为公益性站点,用于推广开源自由软件,由 DiaHosting VPSBudgetVM VPS 提供服务。
我们认为:软件应可免费取得,软件工具在各种语言环境下皆可使用,且不会有任何功能上的差异;
人们应有定制和修改软件的自由,且方式不受限制,只要他们自认为合适。

Powered by phpBB © 2000, 2002, 2005, 2007 phpBB Group
简体中文语系由 王笑宇 翻译